# Constant Field Values

## org.snpeff.*

org.snpeff.Fastq2Fastq
Modifier and Type
Constant Field
Value
`public static final int`
`SHOW_EVERY`
`100000`
org.snpeff.Pcingola
Modifier and Type
Constant Field
Value
`public static final String`
`BY`
`"Pablo Cingolani"`
`public static final String`
`EMAIL`
`"pcingola@users.sourceforge.net"`
org.snpeff.Qseq2Fastq
Modifier and Type
Constant Field
Value
`public static final int`
`SHOW_EVERY`
`100000`
org.snpeff.SnpEff
Modifier and Type
Constant Field
Value
`public static final String`
`BUILD`
`"2026-03-04 14:07"`
`public static final String`
`BUILD_DATE`
`"2026-03-04 14:07"`
`public static final int`
`COMMAND_LINE_WIDTH`
`40`
`public static final String`
`DEFAULT_COMMAND`
`"ann"`
`public static final String`
`REVISION`
`"b"`
`public static final String`
`SOFTWARE_NAME`
`"SnpEff"`
`public static final String`
`VERSION`
`"SnpEff 5.4b (build 2026-03-04 14:07), by Pablo Cingolani"`
`public static final String`
`VERSION_AUTHOR`
`"5.4b (build 2026-03-04 14:07), by Pablo Cingolani"`
`public static final String`
`VERSION_BUILD`
`"5.4b (build 2026-03-04 14:07)"`
`public static final String`
`VERSION_MAJOR`
`"5.4"`
`public static final String`
`VERSION_SHORT`
`"5.4b"`

org.snpeff.align.VariantRealign
Modifier and Type
Constant Field
Value
`public static final int`
`INITIAL_BASES_EXTRA`
`10`
`public static final int`
`INITIAL_BASES_MULTIPLIER`
`3`
`public static final int`
`MAX_ITERATIONS`
`100`
`public static final int`
`PROGRESSIVE_BASES_EXTRA`
`1`
`public static final int`
`PROGRESSIVE_BASES_MULTIPLIER`
`2`
org.snpeff.align.VcfRefAltAlign
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_SIZE`
`10240`

org.snpeff.binseq.DnaSequenceByte
Modifier and Type
Constant Field
Value
`public static final int`
`BASES_PER_BYTE`
`4`
`public static final int`
`BITS_PER_BASE`
`2`
org.snpeff.binseq.GenomicSequences
Modifier and Type
Constant Field
Value
`public static final int`
`CHR_LEN_SEPARATE_FILE`
`1000000`
`public static final int`
`MAX_ITERATIONS`
`1000000`

org.snpeff.binseq.coder.Coder
Modifier and Type
Constant Field
Value
`public static final int`
`BITS_PER_LONGWORD`
`64`
`public static final int`
`BYTES_PER_LONGWORD`
`8`
org.snpeff.binseq.coder.DnaCoder
Modifier and Type
Constant Field
Value
`protected static final int`
`BASES_PER_LONGWORD`
`32`
`protected static final int`
`BITS_PER_BASE`
`2`
`protected static final int`
`LAST_BASE_IN_LONGWORD`
`31`
`public static final long`
`MASK_ALL_WORD`
`-1L`
`protected static final long`
`MASK_FIRST_BASE`
`3L`
org.snpeff.binseq.coder.DnaQualityCoder
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_QUALITY`
`63`
`public static final int`
`MIN_QUALITY`
`0`

org.snpeff.codons.CodonTable
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_START_CODON`
`"M"`
`public static final String`
`TERMINATION_CODON`
`"Ter"`
`public static final String`
`TERMINATION_CODON_1`
`"*"`
org.snpeff.codons.CodonTables
Modifier and Type
Constant Field
Value
`public static final String`
`STANDARD_TABLE`
`"TTT/F, TTC/F, TTA/L, TTG/L, TCT/S, TCC/S, TCA/S, TCG/S, TAT/Y, TAC/Y, TAA/*, TAG/*, TGT/C, TGC/C, TGA/*, TGG/W, CTT/L, CTC/L, CTA/L, CTG/L, CCT/P, CCC/P, CCA/P, CCG/P, CAT/H, CAC/H, CAA/Q, CAG/Q, CGT/R, CGC/R, CGA/R, CGG/R, ATT/I, ATC/I, ATA/I, ATG/M+, ACT/T, ACC/T, ACA/T, ACG/T, AAT/N, AAC/N, AAA/K, AAG/K, AGT/S, AGC/S, AGA/R, AGG/R, GTT/V, GTC/V, GTA/V, GTG/V, GCT/A, GCC/A, GCA/A, GCG/A, GAT/D, GAC/D, GAA/E, GAG/E, GGT/G, GGC/G, GGA/G, GGG/G"`
`public static final String`
`STANDARD_TABLE_NAME`
`"Standard"`
org.snpeff.codons.FindRareAaIntervals
Modifier and Type
Constant Field
Value
`public static final double`
`RARE_THRESHOLD`
`1.0E-5`

org.snpeff.collections.HashLongLongArray
Modifier and Type
Constant Field
Value
`public static final long`
`EMPTY_VALUE`
`0L`

org.snpeff.coverage.CountReadsOnMarkers
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_EXONS_CHART`
`10`
`public static final int`
`SHOW_EVERY`
`10000`

org.snpeff.fastq.FastqSplit
Modifier and Type
Constant Field
Value
`public static final int`
`BUFFER_SIZE`
`10485760`
`public static final long`
`G`
`1073741824L`
`public static final long`
`K`
`1024L`
`public static final long`
`M`
`1048576L`
`public static final long`
`P`
`1125899906842624L`
`public static final long`
`T`
`1099511627776L`

org.snpeff.fileIterator.LineClassFileIterator<T>
Modifier and Type
Constant Field
Value
`public static final char`
`FIELD_NAME_SEPARATOR`
`';'`
org.snpeff.fileIterator.MotifFileIterator
Modifier and Type
Constant Field
Value
`public static final int`
`GFF_OFFSET`
`1`
org.snpeff.fileIterator.RegulationBedFileIterator
Modifier and Type
Constant Field
Value
`public static final int`
`BED_OFFSET`
`0`
org.snpeff.fileIterator.RegulationGffFileIterator
Modifier and Type
Constant Field
Value
`public static final int`
`GFF_OFFSET`
`1`
org.snpeff.fileIterator.TableFile
Modifier and Type
Constant Field
Value
`protected static final char`
`FIELD_NAME_SEPARATOR`
`';'`
org.snpeff.fileIterator.VcfFileIterator
Modifier and Type
Constant Field
Value
`public static final String`
`MISSING`
`"."`

org.snpeff.genBank.Embl
Modifier and Type
Constant Field
Value
`public static final int`
`FEATURE_KEY_LEN`
`5`
`public static final int`
`FEATURE_NAME_LEN`
`15`
org.snpeff.genBank.Feature
Modifier and Type
Constant Field
Value
`public static final String`
`COMPLEMENT_STRING`
`"complement"`
org.snpeff.genBank.Features
Modifier and Type
Constant Field
Value
`public static final String`
`COMPLEMENT`
`"complement"`
`public static final String`
`JOIN`
`"join"`
`public static final int`
`MAX_LEN_TO_SHOW`
`200`
`public static final String`
`ORDER`
`"order"`
org.snpeff.genBank.GenBank
Modifier and Type
Constant Field
Value
`public static final int`
`FEATURE_NAME_FIELD_LEN`
`20`

org.snpeff.geneSets.algorithm.EnrichmentAlgorithm
Modifier and Type
Constant Field
Value
`public static final String`
`HTML_BG_COLOR_TITLE`
`"cccccc"`
`public static final int`
`HTML_TD_GENES_MAX_LEN`
`40`
org.snpeff.geneSets.algorithm.EnrichmentAlgorithmGreedy
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_MAX_PVALUE`
`0.05`
org.snpeff.geneSets.algorithm.LeadingEdgeFractionAlgorithm
Modifier and Type
Constant Field
Value
`public static final double`
`SCORE_CUTOFF_QUANTILE_DEFAULT`
`0.05`

org.snpeff.gsa.ScoreList
Modifier and Type
Constant Field
Value
`public static final double`
`SIGNIFICANCE_LEVEL_95`
`0.05`

org.snpeff.gtex.Gtex
Modifier and Type
Constant Field
Value
`public static final String`
`NA_VALUE`
`"NA"`

org.snpeff.interval.CytoBands
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CYTOBAND_BED_FILE`
`"cytoBand.txt.gz"`
org.snpeff.interval.ExonSpliceCharacterizer
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_EXONS`
`1000`
`public static final int`
`SHOW_EVERY`
`1000`
org.snpeff.interval.Gene
Modifier and Type
Constant Field
Value
`public static final String`
`CIRCULAR_GENE_ID`
`"_circ"`
org.snpeff.interval.GffMarker
Modifier and Type
Constant Field
Value
`public static final String`
`FIELD_BIOTYPE`
`"biotype"`
`public static final String`
`FIELD_DB_XREF`
`"db_xref"`
`public static final String`
`FIELD_EXON_ID`
`"exon_id"`
`public static final String`
`FIELD_GENE`
`"gene"`
`public static final String`
`FIELD_GENE_BIOTYPE`
`"gene_biotype"`
`public static final String`
`FIELD_GENE_ID`
`"gene_id"`
`public static final String`
`FIELD_GENE_NAME`
`"gene_name"`
`public static final String`
`FIELD_GENE_TYPE`
`"gene_type"`
`public static final String`
`FIELD_ID`
`"ID"`
`public static final String`
`FIELD_NAME`
`"name"`
`public static final String`
`FIELD_NAMEU`
`"Name"`
`public static final String`
`FIELD_PARENT`
`"Parent"`
`public static final String`
`FIELD_PROTEIN_ID`
`"protein_id"`
`public static final String`
`FIELD_TAG`
`"tag"`
`public static final String`
`FIELD_TRANSCRIPT_ID`
`"transcript_id"`
`public static final String`
`FIELD_TRANSCRIPT_TSL`
`"transcript_support_level"`
`public static final String`
`FIELD_TRANSCRIPT_VERSION`
`"transcript_version"`
`public static final String`
`MULTIPLE_VALUES_SEPARATOR`
`";"`
org.snpeff.interval.Intergenic
Modifier and Type
Constant Field
Value
`public static final String`
`CHROMOSOME_END`
`"CHR_END"`
`public static final String`
`CHROMOSOME_START`
`"CHR_START"`
org.snpeff.interval.Motif
Modifier and Type
Constant Field
Value
`public static final boolean`
`debug`
`false`
`public static final double`
`SCORE_THRESHOLD`
`0.01`
org.snpeff.interval.ProteinInteractionLocus
Modifier and Type
Constant Field
Value
`public static final boolean`
`debug`
`false`
org.snpeff.interval.SpliceSite
Modifier and Type
Constant Field
Value
`public static final int`
`CORE_SPLICE_SITE_SIZE`
`2`
`public static final int`
`SPLICE_REGION_EXON_SIZE`
`3`
`public static final int`
`SPLICE_REGION_INTRON_MAX`
`8`
`public static final int`
`SPLICE_REGION_INTRON_MIN`
`3`
org.snpeff.interval.TranscriptSupportLevel
Modifier and Type
Constant Field
Value
`public static final int`
`TSL_NULL_VALUE`
`9`
org.snpeff.interval.Variant
Modifier and Type
Constant Field
Value
`public static final double`
`HUGE_DELETION_RATIO_THRESHOLD`
`0.01`
`public static final int`
`HUGE_DELETION_SIZE_THRESHOLD`
`1000000`

org.snpeff.interval.codonChange.CodonChange
Modifier and Type
Constant Field
Value
`public static final int`
`CODON_SIZE`
`3`

org.snpeff.interval.tree.IntervalTreeArray
Modifier and Type
Constant Field
Value
`public static final int`
`INITIAL_CAPACITY`
`1024`
`public static final int`
`MIN_MARKERS_PER_LEAF`
`4`

org.snpeff.logStatsServer.LogStats
Modifier and Type
Constant Field
Value
`public static final int`
`LOG_THREAD_WAIT_TIME`
`1000`
`public static final int`
`LOG_THREAD_WAIT_TIME_REPEAT`
`5`
org.snpeff.logStatsServer.VersionCheck
Modifier and Type
Constant Field
Value
`public static final int`
`LOG_THREAD_WAIT_TIME`
`1000`
`public static final int`
`LOG_THREAD_WAIT_TIME_REPEAT`
`3`

org.snpeff.motif.Pwm
Modifier and Type
Constant Field
Value
`public static final int`
`SCALE`
`100`

org.snpeff.nextProt.NextProtSequenceConservation
Modifier and Type
Constant Field
Value
`public static final int`
`HIGHLY_CONSERVED_AA_COUNT`
`5`
`public static final double`
`HIGHLY_CONSERVED_AA_PERCENT`
`0.99`

org.snpeff.nmer.Nmer
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_NMER_SIZE`
`32`

org.snpeff.outputFormatter.VcfOutputFormatter
Modifier and Type
Constant Field
Value
`public static final String`
`VCF_INFO_OICR_NAME`
`"OICR"`

org.snpeff.pdb.PdbFile
Modifier and Type
Constant Field
Value
`public static final String`
`PDB_ENT_EXT`
`".pdb"`
`public static final String`
`PDB_ENT_EXT_GZ`
`".pdb.gz"`
`public static final String`
`PDB_EXT`
`".ent"`
`public static final String`
`PDB_EXT_GZ`
`".ent.gz"`
`public static final double`
`PDB_RESOLUTION_UNSET`
`99.0`
`public static final String`
`UNIPROT_DATABASE`
`"UNP"`
org.snpeff.pdb.ProteinInteractions
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_DISTANCE_THRESHOLD`
`3.0`
`public static final double`
`DEFAULT_MAX_MISMATCH_RATE`
`0.05`
`public static final String`
`DEFAULT_PDB_DIR`
`"db/pdb"`
`public static final int`
`DEFAULT_PDB_MIN_AA_SEPARATION`
`20`
`public static final String`
`DEFAULT_PDB_ORGANISM_COMMON`
`"HUMAN"`
`public static final String`
`DEFAULT_PDB_ORGANISM_SCIENTIFIC`
`"HOMO SAPIENS"`
`public static final double`
`DEFAULT_PDB_RESOLUTION`
`3.0`
`public static final String`
`PROTEIN_INTERACTION_FILE`
`"interactions.bin"`

org.snpeff.ped.TfamEntry
Modifier and Type
Constant Field
Value
`public static final int`
`PHENOTYPE_CASE`
`2`
`public static final int`
`PHENOTYPE_CONTROL`
`1`
`public static final int`
`PHENOTYPE_MISSING`
`-9`

org.snpeff.probablility.NormalDistribution
Modifier and Type
Constant Field
Value
`public static final double`
`MAX_NORM_DOUBLE`
`700.0`
org.snpeff.probablility.RankSumPdf
Modifier and Type
Constant Field
Value
`public static final int`
`CACHE_MAX_N`
`40`
`public static final int`
`CACHE_MAX_NT`
`40`

org.snpeff.reactome.Reactome
Modifier and Type
Constant Field
Value
`public static final double`
`EPSILON`
`1.0E-6`
`public static final double`
`MAX_CONVERGENCE_DIFFERENCE`
`0.001`
`public static final int`
`MAX_ITERATIONS`
`1000`
`public static final int`
`SHOW_EVERY`
`10000`

org.snpeff.reactome.events.Reaction
Modifier and Type
Constant Field
Value
`public static final double`
`MAX_WEIGHT_SUM`
`1.1`

org.snpeff.snpEffect.Config
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_CONFIG_FILE`
`"snpEff.config"`
`public static final String`
`DEFAULT_DATA_DIR`
`"./data"`
`public static final String`
`ETC_CONFIG_FILE`
`"/etc/snpeff/snpEff.config"`
`public static final String`
`KEY_BUNDLE_SUFIX`
`".bundle"`
`public static final String`
`KEY_CODON_PREFIX`
`"codon."`
`public static final String`
`KEY_CODONTABLE_SUFIX`
`".codonTable"`
`public static final String`
`KEY_COORDINATES`
`"coordinates"`
`public static final String`
`KEY_DATA_DIR`
`"data.dir"`
`public static final String`
`KEY_DATABASE_LOCAL`
`"database"`
`public static final String`
`KEY_DATABASE_REPOSITORY`
`"database.repository"`
`public static final String`
`KEY_DATABASE_REPOSITORY_KEY`
`"database.repositoryKey"`
`public static final String`
`KEY_DBNSFP_FIELDS`
`"dbnsfp.fields"`
`public static final String`
`KEY_GENOME_SUFIX`
`".genome"`
`public static final String`
`KEY_LOF_DELETE_PROTEIN_CODING_BASES`
`"lof.deleteProteinCodingBases"`
`public static final String`
`KEY_LOF_IGNORE_PROTEIN_CODING_AFTER`
`"lof.ignoreProteinCodingAfter"`
`public static final String`
`KEY_LOF_IGNORE_PROTEIN_CODING_BEFORE`
`"lof.ignoreProteinCodingBefore"`
`public static final String`
`KEY_REFERENCE_SUFIX`
`".reference"`
`public static final String`
`KEY_VERSIONS_URL`
`"versions.url"`
org.snpeff.snpEffect.Hgvs
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_SEQUENCE_LEN_HGVS`
`100`
org.snpeff.snpEffect.LossOfFunction
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_DELETE_PROTEIN_CODING_BASES`
`0.5`
`public static final double`
`DEFAULT_IGNORE_PROTEIN_CODING_AFTER`
`0.95`
`public static final double`
`DEFAULT_IGNORE_PROTEIN_CODING_BEFORE`
`0.05`
`public static final int`
`MND_BASES_BEFORE_LAST_JUNCTION`
`50`
`public static final String`
`VCF_INFO_LOF_NAME`
`"LOF"`
`public static final String`
`VCF_INFO_NMD_NAME`
`"NMD"`
org.snpeff.snpEffect.PurityChange
Modifier and Type
Constant Field
Value
`public static final int`
`CODONS_AROUND`
`5`
`public static final int`
`CODONS_SIZE`
`3`
`public static final boolean`
`debug`
`false`
`public static final String`
`KEY_SEPARATOR`
`"\t"`
`public static final int`
`MIN_COUNT_CODON`
`2`
org.snpeff.snpEffect.SnpEffectPredictor
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_UP_DOWN_LENGTH`
`5000`
`public static final int`
`SMALL_VARIANT_SIZE_THRESHOLD`
`10`
org.snpeff.snpEffect.VariantEffect
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_CODON_SEQUENCE_LEN`
`100`

org.snpeff.snpEffect.commandLine.SnpEffCmdAcat
Modifier and Type
Constant Field
Value
`public static final String`
`ACAT`
`"ACAT"`
`public static final double`
`CONSERVATION_THRESHOLD`
`0.99`
`public static final String`
`NCACTIVITY`
`"NCACTIVITY"`
`public static final String`
`NCCAT`
`"NCCAT"`
`public static final String`
`NCCONS`
`"NCCONS"`
`public static final String`
`NCELEMENT`
`"NCELEMENT"`
`public static final String`
`NCFACTOR`
`"NCFACTOR"`
`public static final String`
`NCMARK`
`"NCMARK"`
`public static final String`
`T2D_GENES`
`"T2D_GENES"`
org.snpeff.snpEffect.commandLine.SnpEffCmdClosest
Modifier and Type
Constant Field
Value
`public static final String`
`CLOSEST`
`"CLOSEST"`
`public static final String`
`INFO_LINE`
`"##INFO=<ID=CLOSEST,Number=4,Type=String,Description=\"Closest exon: Distance (bases), exons Id, transcript Id, gene name\">"`
org.snpeff.snpEffect.commandLine.SnpEffCmdDatabases
Modifier and Type
Constant Field
Value
`public static final String`
`DARK_ROW`
`"bgcolor=#CCCCCC"`
`public static final String`
`FTP_PROTOCOL`
`"ftp://"`
`public static final String`
`HTTP_PROTOCOL`
`"http://"`
`public static final String`
`LIGHT_ROW`
`"bgcolor=#EEEEEE"`
org.snpeff.snpEffect.commandLine.SnpEffCmdEff
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_SUMMARY_CSV_FILE`
`"snpEff_summary.csv"`
`public static final String`
`DEFAULT_SUMMARY_GENES_FILE`
`"snpEff_genes.txt"`
`public static final String`
`DEFAULT_SUMMARY_HTML_FILE`
`"snpEff_summary.html"`
`public static final int`
`SHOW_EVERY`
`10000`
`public static final String`
`SUMMARY_CSV_TEMPLATE`
`"snpEff_csv_summary.ftl"`
`public static final String`
`SUMMARY_GENES_TEMPLATE`
`"snpEff_genes.ftl"`
`public static final String`
`SUMMARY_TEMPLATE`
`"snpEff_summary.ftl"`
`public static final String`
`TEMPLATES_DIR`
`"src/main/resources"`
org.snpeff.snpEffect.commandLine.SnpEffCmdTranslocationsReport
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_REPORT_HTML_FILE`
`"translocations_report.html"`
`public static final String`
`REPORT_TEMPLATE`
`"translocations_report.ftl"`

org.snpeff.snpEffect.factory.SnpEffPredictorFactory
Modifier and Type
Constant Field
Value
`public static final int`
`MARK`
`100`
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryEmbl
Modifier and Type
Constant Field
Value
`public static final String`
`EXTENSION_EMBL`
`".embl"`
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryFeatures
Modifier and Type
Constant Field
Value
`public static final int`
`OFFSET`
`1`
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryGenBank
Modifier and Type
Constant Field
Value
`public static final String`
`EXTENSION_GENBANK`
`".gbk"`
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryGff
Modifier and Type
Constant Field
Value
`public static final String`
`FASTA_DELIMITER`
`"##FASTA"`
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryKnownGene
Modifier and Type
Constant Field
Value
`public static final String`
`CDS_STAT_COMPLETE`
`"cmpl"`
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryRefSeq
Modifier and Type
Constant Field
Value
`public static final String`
`CDS_STAT_COMPLETE`
`"cmpl"`

org.snpeff.spliceSites.AcgtTree
Modifier and Type
Constant Field
Value
`public static final int`
`FAKE_COUNTS`
`1`
`public static final double`
`MAX_ENTROPY`
`2.0`
org.snpeff.spliceSites.SnpEffCmdSpliceAnalysis
Modifier and Type
Constant Field
Value
`public static final double`
`THRESHOLD_BRANCH_U12_PERCENTILE`
`0.95`
`public static final int`
`THRESHOLD_COUNT`
`100`
`public static final double`
`THRESHOLD_ENTROPY`
`0.05`
`public static final double`
`THRESHOLD_P`
`0.95`
`public static final double`
`THRESHOLD_U12_OBSERVED_EXPECTED`
`5.0`
org.snpeff.spliceSites.SpliceTypes
Modifier and Type
Constant Field
Value
`public static final int`
`THRESHOLD_COUNT`
`100`
`public static final double`
`THRESHOLD_ENTROPY`
`0.05`
`public static final double`
`THRESHOLD_P`
`0.95`
org.snpeff.spliceSites.TranscriptSet
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_TRANSCRIPTS_PER_GENE`
`1000`

org.snpeff.stats.AlleleCountStats
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_MAC`
`1000`
org.snpeff.stats.CountByType
Modifier and Type
Constant Field
Value
`public static final String`
`TOTAL_TYPE`
`"Total"`
org.snpeff.stats.PosStats
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BINS`
`101`
org.snpeff.stats.VariantEffectStats
Modifier and Type
Constant Field
Value
`public static final String`
`CHANGE_SEPARATOR`
`"\t"`
org.snpeff.stats.VariantStats
Modifier and Type
Constant Field
Value
`public static final String`
`CHANGE_SEPARATOR`
`"\t"`
org.snpeff.stats.VariantTypeStats
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_MAC`
`1000`

org.snpeff.stats.plot.GooglePlot
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_DATA_POINTS`
`300`
org.snpeff.stats.plot.GooglePlotInt
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_DATA_POINTS`
`300`

org.snpeff.svg.Svg
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BASE_Y`
`10`
`public static final int`
`DEFAULT_SIZE_X`
`1000`
`public static final int`
`DEFAULT_SIZE_Y`
`1000`
`public static final String`
`LINE_COLOR_STROKE`
`"#000000"`
`public static final int`
`LINE_STROKE_WIDTH`
`1`
`public static final String`
`RECT_COLOR_FILL`
`"#FFFFFF"`
`public static final String`
`RECT_COLOR_STROKE`
`"#000000"`
`public static final int`
`RECT_HEIGHT`
`20`
`public static final int`
`RECT_STROKE_WIDTH`
`1`
`public static final int`
`TEXT_SIZE`
`10`
`public static final String`
`TEXT_STYLE`
`"font-family: Arial; font-size:10;"`
org.snpeff.svg.SvgBnd
Modifier and Type
Constant Field
Value
`public static final int`
`BND_CURL_SIZE`
`50`
org.snpeff.svg.SvgIntron
Modifier and Type
Constant Field
Value
`public static final int`
`SIGN_WIDTH`
`5`
org.snpeff.svg.SvgScale
Modifier and Type
Constant Field
Value
`public static final int`
`SCALE_HEIGHT`
`30`
`public static final int`
`SCALE_TICK_HEIGHT`
`20`

org.snpeff.util.Download
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_PROXY_PORT`
`80`
org.snpeff.util.Gpr
Modifier and Type
Constant Field
Value
`public static final long`
`GB`
`1073741824L`
`public static final long`
`KB`
`1024L`
`public static final long`
`MB`
`1048576L`
`public static final long`
`TB`
`1099511627776L`
org.snpeff.util.GprSeq
Modifier and Type
Constant Field
Value
`public static final char`
`FASTQ_SANGER_ZERO`
`'!'`
`public static final byte`
`GAP_CODE`
`0xff`
org.snpeff.util.IubString
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_IUB_BASES`
`10`
org.snpeff.util.Log
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_ERRORS`
`10`
`public static final int`
`MAX_WARNINGS`
`25`

org.snpeff.vcf.EffFormatVersion
Modifier and Type
Constant Field
Value
`public static final String`
`EFFECT_TYPE_SEPARATOR`
`"&"`
`public static final String`
`EFFECT_TYPE_SEPARATOR_OLD`
`"+"`
`public static final String`
`VCF_INFO_ANN_NAME`
`"ANN"`
`public static final String`
`VCF_INFO_EFF_NAME`
`"EFF"`
org.snpeff.vcf.FileIndexChrPos
Modifier and Type
Constant Field
Value
`public static final int`
`POS_OFFSET`
`1`
org.snpeff.vcf.VcfConsequence
Modifier and Type
Constant Field
Value
`public static final String`
`VCF_INFO_CSQ_NAME`
`"CSQ"`
org.snpeff.vcf.VcfEntry
Modifier and Type
Constant Field
Value
`public static final double`
`ALLELE_FEQUENCY_COMMON`
`0.05`
`public static final double`
`ALLELE_FEQUENCY_LOW`
`0.01`
`public static final String`
`FILTER_PASS`
`"PASS"`
`public static final int`
`MAX_PADN`
`1000`
`public static final String`
`SUB_FIELD_SEP`
`";"`
`public static final String`
`VCF_ALT_INV`
`"<INV>"`
`public static final String`
`VCF_ALT_MISSING_REF`
`"*"`
`public static final String`
`VCF_ALT_NON_REF`
`"<*>"`
`public static final String`
`VCF_ALT_NON_REF_OLD`
`"<NON_REF>"`
`public static final String`
`VCF_INFO_END`
`"END"`
`public static final String`
`VCF_INFO_HETS`
`"HE"`
`public static final String`
`VCF_INFO_HOMS`
`"HO"`
`public static final String`
`VCF_INFO_IMPRECISE`
`"IMPRECISE"`
`public static final String`
`VCF_INFO_NAS`
`"NA"`
`public static final String`
`VCF_INFO_PRIVATE`
`"Private"`
`public static final String`
`VCF_INFO_SVLEN`
`"SVLEN"`
`public static final char`
`WITHIN_FIELD_SEP`
`','`
org.snpeff.vcf.VcfGenotype
Modifier and Type
Constant Field
Value
`public static final String`
`GT_FIELD_ALLELIC_DEPTH_OF_COVERAGE`
`"AD"`
`public static final String`
`GT_FIELD_DEPTH_OF_COVERAGE`
`"DP"`
org.snpeff.vcf.VcfHeader
Modifier and Type
Constant Field
Value
`public static final String`
`CHROM_PREFIX`
`"#CHROM\t"`
`public static final String`
`FORMAT_PREFIX`
`"##FORMAT="`
`public static final String`
`INFO_PREFIX`
`"##INFO="`
`public static final String`
`PEDIGREE_PREFIX`
`"##PEDIGREE="`